<form [formGroup]="searchForm">
  <div class="search">
    <div class="input-group">
      <input
        #input
        (keyup.enter)="add(input.value)"
        (keyup.backspace)="checkSearchInput()"
        autocomplete="off"
        name="searchInp"
        type="text"
        class="form-control"
        formControlName="searchInp"
        placeholder=""
        aria-label="Search"
        aria-describedby="addon-wrapping"
      />
    </div>
    <div class="close-btn-wrapper" *ngIf="searchForm.controls.searchInp.value">
      <mat-icon
        class="close close-icon"
        (click)="resetForm()"
        *ngIf="searchForm.controls.searchInp.value"
        >close</mat-icon
      >
    </div>

    <mat-icon class="search-icon" (click)="add(input.value)">search</mat-icon>
  </div>
</form>
